Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.monitor.api.task
Interface TaskInfo

    public interface TaskInfo

This `TaskInfo` takes charge of recording a Report task's information.

Method Summary
`java.lang.String` | `getFailedInfo()` Gets detailed failure information of a failed task.
`long` | `getFinishedTime()` Gets the time when this task finished running.
`java.lang.String` | `getReason()` Gets detailed failure reason returned by the engine.
`java.lang.String` | `getReportName()` Gets the report name associated with this task.
`int` | `getReportPages()` Gets the total page number of the report associated with this task.
`java.lang.String` | `getReportSource()` Gets the location of the report associated with this task.
`java.lang.String` | `getResultFileName()` Gets the result file name when this task finished to run.
`java.lang.String` | `getRunHost()` Gets the Report Server's host IP address, which the Report Server is located in to run this task.
`int` | `getRunPort()` Gets the Report Server's port number.
`java.lang.String` | `getRunServerName()` Gets the server alias name for running this task when monitoring the whole cluster.
`long` | `getStartedTime()` Gets the time when this task started to run.
`long` | `getSubmittedTime()` Get the Task's submitted time.
`java.lang.String` | `getTaskID()` Gets the task's ID.
`java.lang.String` | `getTaskStatus()` Gets the task's status, running-process track point.
`java.lang.String` | `getTaskType()` Gets the task's type.
`java.lang.String` | `getUserName()` Gets the user name who submitted this task.
`boolean` | `isFailedToRun()` Judges whether or not this task failed to run.

Method Detail

### getTaskID

    java.lang.String getTaskID()

  Gets the task's ID.

  Returns:
    The task's ID.

### getSubmittedTime

    long getSubmittedTime()

  Get the Task's submitted time.

  Returns:
    The Task's submitted time.

### getStartedTime

    long getStartedTime()

  Gets the time when this task started to run.

  Returns:
    The time when this task started to run.

### getFinishedTime

    long getFinishedTime()

  Gets the time when this task finished running.

  Returns:
    The finish time of this task.

### getReportName

    java.lang.String getReportName()

  Gets the report name associated with this task.

  Returns:
    The report name associated with this task.

### getReportPages

    int getReportPages()

  Gets the total page number of the report associated with this task.

  Returns:
    The total page number of the report associated with this task.

### getReportSource

    java.lang.String getReportSource()

  Gets the location of the report associated with this task.

  Returns:
    The location of the report associated with this task.

### getResultFileName

    java.lang.String getResultFileName()

  Gets the result file name when this task finished to run.

  Returns:
    The result file name of this task.

### getTaskType

    java.lang.String getTaskType()

  Gets the task's type.

  Returns:
    This task's type.

### getTaskStatus

    java.lang.String getTaskStatus()

  Gets the task's status, running-process track point.

  Returns:
    The task's status.

### getUserName

    java.lang.String getUserName()

  Gets the user name who submitted this task.

  Returns:
    The user name.

### getRunServerName

    java.lang.String getRunServerName()

  Gets the server alias name for running this task when monitoring the whole cluster. The server names should be able to identify all different Report servers in the cluster.

  Returns:
    Report server name for running this task.

### getRunHost

    java.lang.String getRunHost()

  Gets the Report Server's host IP address, which the Report Server is located in to run this task.

  Returns:
    The Report Server's host name.

### getRunPort

    int getRunPort()

  Gets the Report Server's port number.

  Returns:
    The Report Server's port number.

### isFailedToRun

    boolean isFailedToRun()

  Judges whether or not this task failed to run.

  Returns:
    true if this task has not run successfully, or else return false.

### getReason

    java.lang.String getReason()

  Gets detailed failure reason returned by the engine.

  Returns:
    The detailed failure reason.

### getFailedInfo

    java.lang.String getFailedInfo()

  Gets detailed failure information of a failed task.

  Returns:
    the task's detailed failure information.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD